## v0.0.0-20200207173439-e704b93fd89b.zip

=== tsg/go-daemon@v0.0.0-20200207173439-e704b93fd89b/Makefile ===
# Copyright 2013-2014 Alexandre Fiori
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

PKG=go-daemon-1.2
TGZ=$(PKG).tar.gz

all: god

god:
	cc god.c -o god -lpthread

clean:
	rm -f god $(TGZ)

install: god
	mkdir -p $(DESTDIR)/usr/bin
	install -m 755 god $(DESTDIR)/usr/bin

archive:
	git archive --format tar --prefix=$(PKG)/ HEAD . | gzip > $(TGZ)

.PHONY: god

=== tsg/go-daemon@v0.0.0-20200207173439-e704b93fd89b/rpm/Makefile ===
# Copyright 2013-2014 Alexandre Fiori
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

all:
	mkdir -p $(HOME)/rpmbuild/{BUILD,RPMS,SOURCES,SPECS,SRPMS}
	echo '%_topdir $(HOME)/rpmbuild' > ~/.rpmmacros
	make -C .. archive
	mv ../go-daemon-*.gz $(HOME)/rpmbuild/SOURCES
	cp go-daemon.spec $(HOME)/rpmbuild/SPECS
	cd $(HOME)/rpmbuild/SPECS
	rpmbuild -ba go-daemon.spec

deps:
	yum install gcc make rpm-build redhat-rpm-config

=== tsg/go-daemon@v0.0.0-20200207173439-e704b93fd89b/debian/changelog ===
go-daemon (1.2-1) precise; urgency=low

  * Fixed typo in cmdline args

 -- Alexandre Fiori <fiorix@gmail.com>  Thu,  2 Jan 2014 04:50:42 +0000

go-daemon (1.2) precise; urgency=low

  * Only rotate log file after opening new one on HUP

 -- Alexandre Fiori <fiorix@gmail.com>  Sun, 17 Nov 2013 04:56:16 +0000

go-daemon (1.1-1) precise; urgency=low

  * Improvements

 -- Alexandre Fiori <fiorix@gmail.com>  Fri, 15 Nov 2013 10:52:43 +0000

go-daemon (1.0-2) precise; urgency=low

  * Bug fixes
  * Ubuntu release

 -- Alexandre Fiori <fiorix@gmail.com>  Fri, 15 Nov 2013 06:00:00 +0000

go-daemon (1.0-1) unstable; urgency=low

  * Initial release

 -- Alexandre Fiori <fiorix@gmail.com>  Wed, 28 Aug 2013 22:37:04 +0000

=== tsg/go-daemon@v0.0.0-20200207173439-e704b93fd89b/debian/control ===
Source: go-daemon
Section: utils
Priority: extra
Maintainer: Alexandre Fiori <fiorix@gmail.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://github.com/fiorix/go-daemon

Package: go-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Daemonize other programs
 Go daemon (or just "god") is a command line tool to
 "daemonize" programs that originally only run in
 foreground and write logs to the console.
